Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.client
Class XmlRpcLocalStreamTransportFactory

    java.lang.Object
      org.apache.xmlrpc.client.XmlRpcTransportFactoryImpl
          org.apache.xmlrpc.client.XmlRpcStreamTransportFactory
              org.apache.xmlrpc.client.XmlRpcLocalStreamTransportFactory

All Implemented Interfaces:
  XmlRpcTransportFactory

    public class XmlRpcLocalStreamTransportFactory

extends XmlRpcStreamTransportFactory

Another local transport factory for debugging and testing. This one is similar to the `XmlRpcLocalTransportFactory`, except that it adds request serialization. In other words, it is particularly well suited for development and testing of XML serialization and parsing.

Constructor Summary
`XmlRpcLocalStreamTransportFactory(XmlRpcClient pClient, XmlRpcStreamRequestProcessor pServer)` Creates a new instance.

Method Summary
`XmlRpcTransport` | `getTransport()` Returns an instance of `XmlRpcTransport`.

Methods inherited from class org.apache.xmlrpc.client.XmlRpcTransportFactoryImpl
`getClient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlRpcLocalStreamTransportFactory

    public XmlRpcLocalStreamTransportFactory(XmlRpcClient pClient,
                                             XmlRpcStreamRequestProcessor pServer)

  Creates a new instance.

  Parameters:
    `pClient` - The client controlling the factory.
    `pServer` - An instance of `XmlRpcStreamRequestProcessor`.

Method Detail

### getTransport

    public XmlRpcTransport getTransport()

  Description copied from interface: `XmlRpcTransportFactory`
  Returns an instance of `XmlRpcTransport`. This may be a singleton, but the caller should not depend on that: A new instance may as well be created for any request.

  Returns:
    The configured transport.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.